Deletes a file

- « umask

- Inotify »

- PHP Manual
- Filesystem Functions
- Deletes a file

# unlink

(PHP 4, PHP 5, PHP 7, PHP 8)

unlink — Deletes a file

### Description

unlink(string `$filename`, ?resource `$context` = `null`): bool

Deletes `filename`. Similar to the Unix C unlink() function. An `E_WARNING` level error will be generated on failure.

### Parameters

`filename`

  Path to the file.

  If the file is a symlink, the symlink will be deleted. On Windows, to delete a symlink to a directory, rmdir() has to be used instead.

`context`

  A context stream resource.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
7.3.0 | On Windows, it is now possible to unlink() files with handles in use, while formerly that would fail. However, it is still not possible to re-create the unlinked file, until all handles to it have been closed.

### Examples

Example #1 Basic unlink() usage

    <?php$fh = fopen('test.html', 'a');fwrite($fh, '<h1>Hello world!</h1>');fclose($fh);unlink('test.html');?>

### See Also

- rmdir() - Removes directory